<?php

namespace Litecms\Practice\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PracticeTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Practice\Models\Practice $practice)
    {
        return [
            'id'                => $practice->getRouteKey(),
            'key'               => [
                'public'    => $practice->getPublicKey(),
                'route'     => $practice->getRouteKey(),
            ], 
            'Name'              => $practice->Name,
            'url'               => [
                'public'    => trans_url('practice/'.$practice->getPublicKey()),
                'user'      => guard_url('practice/practice/'.$practice->getRouteKey()),
            ], 
            'status'            => trans('app.'.$practice->status),
            'created_at'        => format_date($practice->created_at),
            'updated_at'        => format_date($practice->updated_at),
        ];
    }
}